<div class="background"></div>



<div class="card" fxLayout="column" fxLayoutAlign="start center">
  <md-card>
    <div class="clear">
    </div>
    <div class="content">
      <div>
        <div>
          <img src="assets/img/Yum-logo.png" width="200" height="84">
        </div>
        <div>
          <h2>Forgot Password?</h2>
        </div>
      </div>

      <div>
        <p>
          Enter your email below and we will send you instructions to reset your password.
        </p>
        <p>
          Enter your email address
        </p>
        <form name="form" #f="ngForm">
          <md-input-container>
            <input mdInput type="text" autocomplete="off" placeholder="Email" (blur)="validation()" [(ngModel)]="model.email" [ngModelOptions]="{standalone: true}"
              #email="ngModel">
            <md-hint *ngIf="check && !model.email?.match(mailRegex)">
              Mail address has to be valid.
            </md-hint>
          </md-input-container>

          <button type="button" (click)="reset()" md-raised-button class="red-button reset" [disabled]="!model.email?.match(mailRegex) || loading">
            <span *ngIf="!loading">Reset Password</span>
            <app-spinner [small]="true" *ngIf="loading"></app-spinner>
          </button>

        </form>
      </div>

    </div>
  </md-card>
  <div class="gobackbox" fxLayout="column" fxLayoutAlign="space-around center">
    <h3><a (click)="backToLogin()">Sign In</a></h3>
  </div>

</div>
